org.jboss.jca.core.connectionmanager

## Interface NoTxConnectionManager

- All Superinterfaces:
    org.jboss.jca.core.api.connectionmanager.listener.ConnectionCacheListener, javax.resource.spi.ConnectionManager, org.jboss.jca.core.spi.graceful.GracefulShutdown, javax.resource.spi.LazyAssociatableConnectionManager, javax.resource.spi.LazyEnlistableConnectionManager, java.io.Serializable
  All Known Implementing Classes:
    NoTxConnectionManagerImpl

      public interface NoTxConnectionManager
      extends ConnectionManager

  Internal connection manager contract for non-transactional contexts.
  Author:
    Jesper Pedersen

- - ### Method Summary

    - ### Methods inherited from interface org.jboss.jca.core.connectionmanager.ConnectionManager

      `createConnectionListener, getAllocationRetry, getAllocationRetryWaitMillis, getCachedConnectionManager, getJndiName, getPool, getSecurityDomain, getSubjectFactory, getTransactionIntegration, isEnlistment, isSharable, isTransactional, setJndiName, unregisterAssociation`

    - ### Methods inherited from interface org.jboss.jca.core.api.connectionmanager.ConnectionManager

      `associateManagedConnection, dissociateManagedConnection, returnManagedConnection`

    - ### Methods inherited from interface javax.resource.spi.ConnectionManager

      `allocateConnection`

    - ### Methods inherited from interface javax.resource.spi.LazyAssociatableConnectionManager

      `associateConnection, inactiveConnectionClosed`

    - ### Methods inherited from interface javax.resource.spi.LazyEnlistableConnectionManager

      `lazyEnlist`

    - ### Methods inherited from interface org.jboss.jca.core.connectionmanager.listener.ConnectionCacheListener

      `transactionStarted`

    - ### Methods inherited from interface org.jboss.jca.core.spi.graceful.GracefulShutdown

      `cancelShutdown, getDelay, isShutdown, prepareShutdown, prepareShutdown, prepareShutdown, prepareShutdown, shutdown`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)